/// <reference types="node" />
export declare const writeTextFile: (path: string, data: string, encoding?: BufferEncoding) => Promise<true>;
export declare const readTextFile: (path: string, encoding?: BufferEncoding) => Promise<string>;
export declare const writeJSONFile: (path: string, data: any, beautify?: boolean) => Promise<true>;
export declare const readJSONFile: <T = any>(path: string) => Promise<T>;
export declare const mkdir: (path: string) => Promise<true>;
export declare const listFiles: (path: string, options?: BufferEncoding | {
    encoding: BufferEncoding | null;
    withFileTypes?: false | undefined;
} | undefined) => Promise<string[]>;
export declare const createBundle: (folder: string, basePath: string) => Promise<Bundle>;
export declare class Bundle {
    readonly basePath: string;
    constructor(basePath?: string);
    getPath(...name: string[]): string;
    writeTextFile(filePath: string, data: string, encoding?: BufferEncoding): Promise<true>;
    readTextFile(filePath: string, encoding?: BufferEncoding): Promise<string>;
    writeJSONFile(filePath: string, data: any, beautify?: boolean): Promise<true>;
    readJSONFile<T>(filePath: string): Promise<T>;
    exists(path: string): boolean;
    makeDir(folderPath: string): Promise<true>;
    listFiles(folderPath: string): Promise<string[]>;
}
