import { Config } from "../config";
import { BuildData } from "../ligo";
import { Bundle } from "./bundle";
export declare enum BuildErrorCodes {
    MICHELSON_MISSING = "MICHELSON_MISSING",
    INVALID_SOURCE_PATH = "INVALID_SOURCE_PATH",
    INVALID_HASH = "INVALID_HASH"
}
export declare class ContractsBundle extends Bundle {
    config: Config;
    readConfigFile(): Promise<Config>;
    getContractsFiles(): Promise<string[]>;
    getContractFile(fileName: string): string;
    readContract(contractName: string): Promise<string>;
    getBuildFile(contractName: string): string;
    writeBuildFile(contractName: string, data: any): Promise<true>;
    readBuildFile(contractName: string): Promise<BuildData>;
    buildFileExists(contractName: string): boolean;
    generateHash: (contractData: string) => string;
    isBuildValid(sourcePath: string, hash: string, buildFile: BuildData): BuildErrorCodes | true;
}
