/// <reference types="node" />
import { ToolchainNetworks } from "../config";
import { FaucetAccount } from "../tezos";
export declare type JestCommandOptions = {
    network: ToolchainNetworks.SANDBOX | ToolchainNetworks.TESTNET;
    deployedContracts?: {
        [filename: string]: string;
    };
    oldBuild?: boolean;
    e2e?: boolean;
};
export declare type JestCommandEnv = NodeJS.ProcessEnv & {
    USE_OLD_BUILD: string;
    DEPLOYED_CONTRACTS?: string;
};
export declare type TezosSigner = string | FaucetAccount;
export declare type CustomJestGlobals = {
    tezosRPCNode: string;
    tezosDefaultSigner: TezosSigner;
    tezosToolchainNetwork: ToolchainNetworks.SANDBOX | ToolchainNetworks.TESTNET;
    tezosCWD: string;
    tezosDeployedContracts?: {
        [filename: string]: string;
    };
};
export declare const isFaucet: (tezosDefaultSigner: string | FaucetAccount) => tezosDefaultSigner is FaucetAccount;
